export declare type FunctionArgs<Args extends any[] = any[], Return = void> = (...args: Args) => Return;
export interface FunctionWrapperOptions<Args extends any[] = any[], This = any> {
    fn: FunctionArgs<Args, This>;
    args: Args;
    thisArg: This;
}
export declare type EventFilter<Args extends any[] = any[], This = any> = (invoke: () => void, options: FunctionWrapperOptions<Args, This>) => void;
/**
 * @internal
 */
export declare function createFilterWrapper<T extends FunctionArgs>(filter: EventFilter, fn: T): T;
export declare const bypassFilter: EventFilter;
export declare function debounceFilter(ms: number): EventFilter;
export declare function useDebounceFn<T extends FunctionArgs>(fn: T, ms?: number): T;
//# sourceMappingURL=use-debounce.d.ts.map